/* Réinitialisation */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    border: none;
    background: none;
}

body {
    font-family: Helvetica;
    scrollbar-width: none;
    overflow-x: hidden;
}

.orientation-warning {
    display: none;
  }
  .main-content {
    display: block;
  }


::-webkit-scrollbar {
    display: none; /* Pour Chrome, Safari et Edge */
    width: 0;
}

/* Firefox */
html {
  scrollbar-width: none;
}


/* Header fixe */
.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 50px;
    background: white;
    display: flex;
    justify-content: space-between;
    align-items: end;
    padding: 10px;
    border-bottom: 1px solid black;
    z-index: 15;
}

.coin-header {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.coins {
  display: flex;
  gap: 5px;              /* espace entre les cercles */
  align-items: center;
  margin-top: 4px;
}

.coin {
  width: 24px;
  height: 24px;
  perspective: 600px;
}

.coin-inner {
  width: 100%;
  height: 100%;
  position: relative;
  transform-style: preserve-3d;
}

.coin-front,
.coin-back {
  position: absolute;
  inset: 0;
  border-radius: 50%;
  background: black;
  display: grid;
  place-items: center;
  backface-visibility: hidden;
}

/* face avant */
.coin-front span {
  color: white;
  font-size: 0.45em;
  font-weight: 500;
  line-height: 1;
  position: relative;
}

/* face arrière */
.coin-back {
  transform: rotateY(180deg);
}

#coinA span {
  top: 0.4px; /* centrage optique */
  right: 0.2px;
}

#coinB span {
  top: 0.4px; /* centrage optique */
  left: 0.2px;
}

#coinC span {
  top: 0.4px; /* centrage optique */
  left: 0.1px;
}


.coins.rolling .coin:nth-child(1) .coin-inner {
  animation: spin 0.6s ease-in-out;
}

.coins.rolling .coin:nth-child(2) .coin-inner {
  animation: spin 0.6s ease-in-out 0.12s;
}

.coins.rolling .coin:nth-child(3) .coin-inner {
  animation: spin 0.6s ease-in-out 0.24s;
}

@keyframes spin {
  from {
    transform: rotateX(0deg);
  }
  to {
    transform: rotateX(360deg);
  }
}



.logos svg {
    border: none;
    background: transparent;
    margin: 0 2px;
}

.language {
    display: flex;
    grid-template-columns: 50% 50%;
    font-size: 1.4em;
}

.fr, .en {
    padding: 15px 0px 15px 15px;
    text-align: center;
    background-color: white;
}

.fr:hover {
    color:  rgba(0, 102, 255, 0.85);
}

.en:hover {
    color:  rgba(0, 102, 255, 0.85);
}


/* Boutons du header */
.header button {
    background-color: transparent;
    color: black;
    border: none;
    padding: 0px 5px;
    font-size: 1.6em;
    cursor: pointer;
    font-weight: 400;
    font-family:Helvetica;
}

.header button:hover {
    background-color: transparent;
    color: rgba(0, 102, 255, 0.85);
}

.header button.active {
    background-color: transparent;
}

/* Panneaux pleine page */
.panel {
    position: fixed;
    top: 50px;
    width: 20%;
    height: calc(100% - 40px);
    background: white;
    color: black;
    transition: transform 0.8s ease;
    z-index: 10;
    overflow-y: auto;
    scrollbar-width: none;
}

/* Panneau gauche */
.panel.left {
    left: 0;
    transform: translateX(-100%);
    font-size: 1em;
    line-height: 1.2;
    border-right: 1px solid black;

}

.li-left-last {
    padding-bottom:15px;
}

.panel.left.show {
    transform: translateX(0);
    font-size: 1em;
    line-height: 1.2;
}

.infos-titre {
    font-size: 1.4em;
    padding-bottom: 15px;
}

.infos-partie {
    font-size: 1em;
}

.hr-first {
    background:none;
    border: 0.1px solid black;
    margin: 0px 0px 3px 0px;
}

hr {
    border: 1px solid red;
    padding: 0;
    margin: 0;
}

.hr {
    background:none;
    border: 0.1px solid black;
    margin: 3px 0px 3px 0px;
}

.grid-right-panel {
    display: block;
}

.grid-infos {
    display: grid;
    grid-template-columns: 20% 80%;
    padding: 0;
    margin: 0;
    font-size: 1em;
}

ul {
    border-top: 1px solid black;
    padding: 15px;
}

/* Panneau droit */
.panel.right {
    right: 0;
    transform: translateX(100%);
    font-size: 1em;
    line-height: 1.2;
    border-left: 1px solid black;
}

.panel.right.show {
    transform: translateX(0);
    font-size: 1em;
    line-height: 1.2;
}

.partie {
    font-size: 1.4em;
    margin-bottom: 20px;
}

.grid-index {
    display: grid;
    grid-template-columns: 20% 80%;
    color: black;
    font-size: 1em;
    line-height: 1.2;
}

.panel.right ul {
    padding:0;
    border: none;
}

.panel.right li {
    padding: 0px 15px;
    align-items: baseline;
}

.panel.right li:hover {
    background-color: none;
    color: rgba(0, 102, 255, 0.85);
}

li {
    list-style-type: none;
}

a {
    text-decoration: none;
    color: black;
}

/* État initial : bouton "Tous" en gris */
.filter-btn.active[data-filter="all"] {
    color: rgb(150, 150, 150);
}

.filter-btn.active[data-filter="all"]:hover {
    color: rgb(150, 150, 150);
}


.filter-btn.active {
    color: rgba(0, 102, 255, 0.85);
}

.filter-btn.active {
    color: rgba(0, 102, 255, 0.85);
}

.index-list.active .grid-index {
    color: rgba(0, 102, 255, 0.85);
}

.container {
  scroll-margin-top: 50px; /* espace de 50px quand on scroll via un ancre #id */
  border-bottom: 1px solid black;
}

  .slider {
    width: 100%;
    height: auto;
  }

  .slider img {
    width: 100%;
    height: auto;
  }

  .description {
    width: 100%;
    background-color: white;
    border-top: 1px solid black;
    padding: 10px 10px 0px 10px;
    align-items: center;
  }

  .nav-arrow {
    position: absolute;
    font-size: 1em;
}

.nav-arrow.prev {
    left: 15px;
}

.nav-arrow.next {
    right: 15px;
}

.nav-arrow:hover {
    color: rgba(0, 102, 255, 0.85);
}

.detail-container {
    display: flex;
    justify-content: space-between;
    background-color: transparent;
    align-items: baseline;
    width: 60%;
    margin: 0px 20%;
    padding-bottom: 10px;
}

.detail-titre {
    font-size: 1em;
    align-items: center;
}
.detail-expand-btn {
    background: none;
    border: none;
    cursor: pointer;
    font-size: 1em;
    padding: 0;
    color: black;
}

.detail-expand-btn:hover {
    color: rgba(0, 102, 255, 0.85);
}

.detail-expand-btn.expanded {
    font-size: 1em;
}
.detail-contenu {
    display: grid;
    grid-template-columns: 50% 50%;
    width: 60%;
    margin: 0 20%;
    overflow: hidden;
    max-height: 0;
    transition: max-height 0.8s ease;
    box-sizing: border-box;
}

.detail-contenu.expanded {
    margin-top: 0px;
    box-sizing: border-box;
}

.detail-left {
    padding-right: 10px;
    padding-top: 0;
    padding-bottom: 15px;
}

.detail-right {
    transform: translateY(-3px);
    z-index: 100;
    padding: 0px 10px 15px 0px;
    text-align: left;
    line-height: 1.25;
}

.detail-grid {
    display: grid;
    grid-template-columns: 30% 60%;
    border-top: 1px solid black;
    padding: 8px 0px;
    line-height: 1.2;
}

#li-right-last {
    padding-bottom: 20px;
}

.gris {
    padding-left: 10px;
}

.orbe {
    text-decoration: underline 1px black;
}

.footer {
    height: 200px;
    width: 100%;
    background: white;

}

.fleche {
    position: relative;
    top: 50%;
    left: 50%;
    transform: translateX(-50%);
}


.slider .slick-prev, .slider .slick-next {
position: absolute;
z-index: 5;
width: 50%;
height: 100%;
opacity: 0;
}

.slider .slick-prev {
    cursor: w-resize;
}

.slider .slick-next {
    cursor: e-resize;
}

.filter {
  display: grid;
  border-bottom:1px solid #000;
}

.filter2 {
  display: grid;
  border-top: 1px solid black;
  
}

.filter3 {
  display: grid;
border-top: 1px solid black;
}

.filter .filter-btn {
  background: #fff;
  padding: 15px;
  text-align: left;
  font-size: 1.4em;
  font-family: Helvetica;
  line-height: 1.2;
}

.filter .filter-btn:hover {
  color: rgb(150, 150, 150);
}

.subfilters {
    display: grid;
    padding-bottom: 15px;
}

.subfilters .filter-btn {
    font-size: 1em;
    border: none;
    padding: 0px 15px;
    line-height: 1.2;
}

#li-right-projets {
    font-size: 1.4em;
    padding: 15px;
}

#li-right-projets:hover {
    color: #000;
}

.grid-index {
    line-height: 1.3;
}

.grid-index:hover {
    color: rgb(150, 150, 150);
}

@media (min-width: 768px) and (max-width: 1023px) {

    * {
    color: black;
}

.panel {
            position: fixed;
            top: 50px;
            width: 50%;
            height: calc(100% - 50px);
            background: white;
            color: black;
            transition: transform 0.4s ease-in-out;
            z-index: 10;
            overflow-y: auto;
            -webkit-overflow-scrolling: touch; /* pour iOS */
            scrollbar-width: none;
        }

        .panel.left {
            left: 0;
            transform: translateX(-100%);
        
        }
        
        .panel.left.show {
            transform: translateX(0);
        }

        .panel.right {
            right: 0;
            transform: translateX(100%);
            font-family: Helvetica;
        }
        
        .panel.right.show {
            transform: translateX(0);
            font-family: Helvetica;
        }

        .description {
            width: 100%;
            background-color: white;
            border-top: 1px solid black;
            padding: 0px 10px;

}

.fr:hover {
    color: black;
}

.en:hover {
    color: black;
}

.header button:hover {
    background-color: transparent;
    color: black;
}

.header button.active {
    background-color: transparent;
}

.panel.right li:hover {
    background-color: none;
    color: black;
}


.filter-btn.active {
    color: black;
}

.filter-btn.active {
    color: black;
}

.index-list.active .grid-index {
    color: black;
}

.nav-arrow:hover {
    color: black;
}


ul {
  border-top: 1px solid black;
  padding: 12px;
}

      .detail-container {
        display: flex;
        justify-content: space-between;
        padding: 5px 10px;
        padding-bottom: 5px;
        background-color: white;
        width: 100%;
        margin: 0px;
    }
    .detail-titre {
        font-size: 1em;
    }
    .detail-expand-btn {
        background: none;
        border: none;
        cursor: pointer;
        font-size: 1em;
        padding: 0;
        color: black;
        transition: background-color 0.3s ease;
    }
    
    .detail-expand-btn.expanded {
        font-size: 1em;
    }
    .detail-contenu {
        display: block;
        grid-template-columns: 50% 50%;
        max-height: 0;
        opacity: 0;
        overflow: hidden;
        width: 100%;
        margin: 0px;
    }
    .detail-contenu.expanded {
        display: block;
        grid-template-columns: 50% 50%;
        max-height: 500px;
        opacity: 1;
        background-color: white;
        width: 100%;
        margin: 0px;
    }
    
    .detail-left {
        padding-top: 0;
        padding-bottom: 0px;
        font-size: 1em;
        padding-right: 0;
    }
    
    .detail-right {
        padding: 10px 10px 20px 10px;
        text-align: left;
        font-size: 1em;
        border-top: 1px solid black;
    }
    
    .detail-grid {
        display: grid;
        grid-template-columns: 20% 80%;
        padding: 6px 0px;
    }
    
    .footer {
        height: 200px;
        width: 100%;
        background-color: rgb(240,240,240);

    }

    .fleche {
        position: relative;
        top: 50%;
        left: 50%;
    }

    .filter .filter-btn {
        padding: 12px;
    }

    .subfilters .filter-btn {
        font-size: 1em;
        border: none;
        padding: 0px 12px;
        line-height: 1.4;
    }

    .grid-index {
    line-height: 1.4;
    }

    .grid-infos {
    display: grid;
    grid-template-columns: 20% 80%;
    padding: 0;
    margin: 0;
    font-size: 1em;
    line-height: 1.4;
        }

    #li-right-projets {
    font-size: 1.4em;
    padding: 12px;
        }

    #li-right-projets li {
    padding: 12px;
        }

    .nav-arrow {
        display: none;
    }

    .footer {
        background-color: white;
    }

    a:hover {
            color: black !important;
        }

        a.active {
            color: black !important;
        }

        button {
            color: black !important;
        }

        button:hover {
            color: black !important;
        }

        button.active {
            color: black !important;
        }

    .filter {
        color: black;
    }

}



    @media (max-width: 768px) {
        .header {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 50px;
            background: white;
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 10px;
            z-index: 15;
        }

            * {
    color: black;
}

        a:hover {
            color: black !important;
        }

        a.active {
            color: black !important;
        }

        button {
            color: black !important;
        }

        button:hover {
            color: black !important;
        }

        button.active {
            color: black !important;
        }
        
        
        /* Boutons du header */
        .header button {
            background-color: transparent;
            color: black;
            border: none;
            padding: 0px 0px;
            font-size: 1.2em;
            cursor: pointer;
            transition: 0.3s;
            font-weight: 400;
        }
        
        .header button:hover {
            background-color: transparent !important;
        }
        
        .header button.active {
            background-color: transparent !important;
        }

        .language {
            display: flex;
            grid-template-columns: 50% 50%;
            font-size: 1.4em;
        }

        .fr, .en {
            padding: 15px 0px 15px 15px;
            text-align: center;
            background-color: white;
        }

.fr:hover {
    color: black;
}

.en:hover {
    color: black;
}

.header button:hover {
    background-color: transparent;
    color: black;
}

.header button.active {
    background-color: transparent;
}

.panel.right li:hover {
    background-color: none;
    color: black;
}


.filter-btn.active {
    color: black !important;
}

.filter-btn.active {
    color: black !important;
}

.index-list.active .grid-index {
    color: black !important;
}

.nav-arrow:hover {
    color: black !important;
}

        .txt {
            display: none;
        }

        ul {
        margin: 0px;
        border-top: 1px solid black;
        padding: 12px;
        }
        
        /* Panneaux pleine page */
        .panel {
            position: fixed;
            top: 50px;
            width: 100%;
            height: calc(100% - 50px);
            background: white;
            color: black;
            font-size: 0.8em;
            transition: transform 0.4s ease-in-out;
            z-index: 10;
            overflow-y: auto;
            scrollbar-width: none;
        }

        .panel.left {
            left: 0;
            transform: translateX(-100%);
        
        }
        
        .panel.left.show {
            transform: translateX(0);
        }

        .panel.right {
            right: 0;
            transform: translateX(100%);
            font-family: Helvetica;
        }
        
        .panel.right.show {
            transform: translateX(0);
            font-family: Helvetica;
        }

        
          .slider {
            width: 100%;
            height: auto;
          }
        
          .slider img {
            width: 100%;
            height: auto;
          }


      .infos-titre {
        font-size: 1.4em;
        padding: 0;
        margin: 0;
        margin-bottom: 15px;
    }
    
    .infos-partie {
        font-size: 1.1em;
    }

        .description {
  width: 100%;
  background-color: white;
  border-top: 1px solid black;

}

      .detail-container {
        display: flex;
        justify-content: space-between;
        background-color: white;
        width: 100%;
        margin: 0px;
    }
    .detail-titre {
        font-size: 1em;
    }
    .detail-expand-btn {
        background: none;
        border: none;
        cursor: pointer;
        font-size: 1em;
        padding: 0;
        color: black;
        transition: background-color 0.3s ease;
    }
    
    .detail-expand-btn.expanded {
        font-size: 1em;
    }
.detail-contenu {
    display: block;
    width: 100%;
    margin: 0;

    max-height: 0;
    opacity: 0;
    overflow: hidden;

    transition:
        max-height 0.8s ease,
        opacity 0.8s ease;
}

.detail-contenu.expanded {
    opacity: 1;
}
    
    .detail-left {
        padding-top: 0;
        padding-bottom: 0px;
        font-size: 1em;
        padding-right: 0;
    }
    
    .detail-right {
        padding: 10px 10px 20px 0px;
        text-align: left;
        font-size: 1em;
        border-top: 1px solid black;
    }
    
    .detail-grid {
        display: grid;
        grid-template-columns: 35% 65%;
        padding: 6px 0px;
    }
    
    .footer {
        height: 200px;
        width: 100%;
        background-color: rgb(240,240,240);

    }

    .fleche {
        position: relative;
        top: 50%;
        left: 50%;
    }

    .filter .filter-btn {
        padding: 12px;
        color: black !important;
    }

    .subfilters .filter-btn {
        font-size: 1em;
        border: none;
        padding: 0px 12px;
        line-height: 1.4;
        color: black !important;
    }

    .grid-index {
    line-height: 1.4;
    }

    .grid-infos {
  display: grid;
  grid-template-columns: 20% 80%;
  padding: 0;
  margin: 0;
  font-size: 1em;
  line-height: 1.4;
    }

    #li-right-projets {
  font-size: 1.4em;
  padding: 12px;
    }

    #li-right-projets li {
  padding: 12px;
    }

    .coins {
        display: none;
    }

    .nav-arrow {
        display: none;
    }

    .footer {
        background-color: white;
    }

    .gris {
    padding-left: 0px;
}


    }

    /* ===== Blocage du mode paysage UNIQUEMENT sur mobile ===== */
@media screen and (max-width: 768px) and (orientation: landscape) {
  body {
    overflow: hidden;
  }

  .orientation-warning {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    inset: 0;
    background: white;
    color: black;
    font-size: 1.2em;
    text-align: center;
    z-index: 9999;
    padding: 20px;
  }

  .main-content {
    display: none !important;
  }
}

/* En mode portrait sur mobile : on réactive tout */
@media screen and (max-width: 768px) and (orientation: portrait) {
  .orientation-warning {
    display: none;
  }
  .main-content {
    display: block;
  }
}
